Subject: Re: BUG: soft lockup detected on CPU#0! (2.6.18.2 plus hacks)

From: Jarek Poplawski <[email-masked]>
Date: Wed, 10 Jan 2007 13:50:48 +0100

On Wed, Jan 10, 2007 at 10:04:11AM +0100, Jarek Poplawski wrote:
...
> It looks like you're talking about the right thing
> and I'm a fool again! Now I try to find why I even 
> had to pay for this. I read again and again adequate
> chapters from R. Love and C. Benvenuti's books, see
> a lot about kernel preemption in 2.6, but can't see
> anything about preemption disabled in ioctls - maybe
> I'm blind or they are badly translated. Now I look
> into "Linux Device Drivers", see ch. 6 about ioctls,
> blocking I/O and RCU, but nothing about preemption
> disabled again. Maybe this is omited because it's
> obvious to people who started hacking with earlier
> kernels?

... or maybe it's even more complicated...

For the time being, I revoke my critique of these books.

Jarek P.